/* artist.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef ARTIST_H
#define ARTIST_H

#include <string>

class TableDataProxy;

// Defines some functions that operate on a TI_artist table to return
// some useful information specific to artists.

// Returns the artist name formatted as a single string.
string get_formatted_artist_name(const TableDataProxy &artist);

// The same above, with the last name first, for showing in a sorted
// list.
string get_sorting_artist_name(const TableDataProxy &artist);

// The string that the database will sort on.  This is the same string
// found in the sort_artists view in the database.
string get_artist_db_sort_key(const TableDataProxy &artist);


// Look up or create an artist with the given formatted name.
TableDataProxy find_artist(string name);

#endif
