/* iso8859_to_ascii.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef ISO8859_TO_ASCII_H
#define ISO8859_TO_ASCII_H

#include <string>

// Converts the indicated string from the international ISO8859
// character set to a corresponding string entirely in ASCII, by
// replacing accented characters with unaccented characters.  Since
// some special characters are replaced by multiple characters
// (e.g. "ae"), the length of the resulting string is not necessarily
// the same as the input string.

string iso8859_to_ascii(const string &str);

#endif
