/* artistDialog.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef ARTISTDIALOG_H
#define ARTISTDIALOG_H

#include "palomaDialog.h"
#include "dataset.h"

#include <gtk--.h>
#include <string>

class ArtistLookup;

class ArtistDialog : public PalomaDialog {
public:
  ArtistDialog(const Dataset &data, int form_id);
  ~ArtistDialog();

  virtual void record_db();

  void popup_lookup();
  void delete_lookup();

  void menu_cds();
  void menu_songs();
  
private:
  void layout_window();
  void set_entries();
  void read_entries();

  void anything_changed();
  void as_group_button_clicked();
  void as_individual_button_clicked();
  void ok_button_clicked();
  void new_button_clicked();
  void lookup_button_clicked();
  void cancel_button_clicked();
  void lookup_accepted();
  void lookup_deleted();

  Gtk_Table _names;

  Gtk_ItemFactory_MenuBar _menu;
  Gtk_ObjectHandle<Gtk_MenuBar> _menubar;
  Gtk_VBox _box1;
  Gtk_Label _last_name_label;
  Gtk_Entry _last_name_entry;
  Gtk_Label _first_name_label;
  Gtk_Entry _first_name_entry;
  Gtk_Label _name_suffix_label;
  Gtk_Entry _name_suffix_entry;
  Gtk_Label _group_prefix_label;
  Gtk_Entry _group_prefix_entry;
  Gtk_Label _group_name_label;
  Gtk_Entry _group_name_entry;
  Gtk_Label _formatted_name_label;
  Gtk_Label _sorting_name_label;
  Gtk_HBox _as_box;
  Gtk_Button _as_group_button;
  Gtk_Button _as_individual_button;

  Gtk_Button _ok_button;
  Gtk_Button _new_button;
  Gtk_Button _lookup_button;
  Gtk_Button _cancel_button;

  int _form_id;
  bool _changing;
  ArtistLookup *_lookup;
};

#endif
