/* queryForm.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef QUERYFORM_H
#define QUERYFORM_H

#include "palomaDialog.h"
#include "form.h"
#include "dataset.h"

#include <gtk--.h>
#include <string>

class QueryForm : public PalomaDialog {
public:
  QueryForm(const Dataset &data, int form_id);
  ~QueryForm();

private:
  void ok_button_clicked();
  void build_button_clicked();
  void cancel_button_clicked();

  void layout_window();

  void build_playlist();
  void compute_ratio_effect(const string &sql_command);

  Form _form;
  Gtk_Button _ok_button;
  Gtk_Button _build_button;
  Gtk_Button _cancel_button;

  int _form_id;
  int _playlist_form_id;
};

#endif

